## org.apache.jk.core
Class WorkerEnv

    java.lang.Object
      org.apache.jk.core.WorkerEnv

public class WorkerEnv
extends java.lang.Object

The controller object. It manages all other jk objects, acting as the root of the jk object model.

Author:
  Gal Shachor, Henri Gomez [hgomez@apache.org], Dan Milstein [danmil@shore.net], Keith Wannamaker [Keith@Wannamaker.org], Kevin Seguin, Costin Manolache

Field Summary
`static int` `ENDPOINT_NOTE`
`static int` `REQUEST_NOTE`
`static int` `SSL_CERT_NOTE`

Constructor Summary
`WorkerEnv()`

Method Summary
`void` `addHandler(java.lang.String name, JkHandler w)`
`JkHandler` `getHandler(int id)`
`JkHandler` `getHandler(java.lang.String name)`
`int` `getHandlerCount()`
`javax.management.ObjectName[]` `getHandlersObjectName()`
`java.lang.String` `getJkHome()`
`int` `getLocalId()`
`java.lang.Object` `getNote(int i)`
`int` `getNoteId(int type, java.lang.String name)`
`void` `setJkHome(java.lang.String s)`
`void` `setLocalId(int id)`
`void` `setNote(int i, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENDPOINT_NOTE

    public static final int ENDPOINT_NOTE

See Also:
  Constant Field Values

### REQUEST_NOTE

    public static final int REQUEST_NOTE

See Also:
  Constant Field Values

### SSL_CERT_NOTE

    public static final int SSL_CERT_NOTE

See Also:
  Constant Field Values

Constructor Detail

### WorkerEnv

    public WorkerEnv()

Method Detail

### setLocalId

    public void setLocalId(int id)

### getLocalId

    public int getLocalId()

### setJkHome

    public void setJkHome(java.lang.String s)

### getJkHome

    public java.lang.String getJkHome()

### getNote

    public final java.lang.Object getNote(int i)

### setNote

    public final void setNote(int i,
                              java.lang.Object o)

### getNoteId

    public int getNoteId(int type,
                         java.lang.String name)

### addHandler

    public void addHandler(java.lang.String name,
                           JkHandler w)

### getHandler

    public final JkHandler getHandler(java.lang.String name)

### getHandler

    public final JkHandler getHandler(int id)

### getHandlerCount

    public final int getHandlerCount()

### getHandlersObjectName

    public javax.management.ObjectName[] getHandlersObjectName()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.